package com.uas.platform.b2b.openapi.model;

public class TEMP_DATA {
	private String brand;
	private String code;
	private String title;
	private String spec;
	private String unit;

	/**
	 * 期初库存
	 */
	private Double beginStock;

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public TEMP_DATA() {
		super();
	}

	public TEMP_DATA(String brand, String code, String title, String spec, String unit) {
		super();
		this.brand = brand;
		this.code = code;
		this.title = title;
		this.spec = spec;
		this.unit = unit;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((brand == null) ? 0 : brand.hashCode());
		result = prime * result + ((code == null) ? 0 : code.hashCode());
		result = prime * result + ((spec == null) ? 0 : spec.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
		result = prime * result + ((unit == null) ? 0 : unit.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
            return true;
        }
		if (obj == null) {
            return false;
        }
		if (getClass() != obj.getClass()) {
            return false;
        }
		TEMP_DATA other = (TEMP_DATA) obj;
		if (brand == null) {
			if (other.brand != null) {
                return false;
            }
		} else if (!brand.equals(other.brand)) {
            return false;
        }
		if (code == null) {
			if (other.code != null) {
                return false;
            }
		} else if (!code.equals(other.code)) {
            return false;
        }
		if (spec == null) {
			if (other.spec != null) {
                return false;
            }
		} else if (!spec.equals(other.spec)) {
            return false;
        }
		if (title == null) {
			if (other.title != null) {
                return false;
            }
		} else if (!title.equals(other.title)) {
            return false;
        }
		if (unit == null) {
			if (other.unit != null) {
                return false;
            }
		} else if (!unit.equals(other.unit)) {
            return false;
        }
		return true;
	}

	public Double getBeginStock() {
		return beginStock;
	}

	public void setBeginStock(Double beginStock) {
		this.beginStock = beginStock;
	}
}
